## ros-indigo-joint-state-controller 0.9.4

=== debian/changelog ===
ros-indigo-joint-state-controller (0.9.4-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 30 Jun 2017 23:00:00 -0000

ros-indigo-joint-state-controller (0.9.3-0trusty) trusty; urgency=high

  * Address -Wunused-parameter warnings
  * Add extra joints support
    Allow to optionally specify a set of extra joints for state publishing that
    are not contained in the JointStateInterface associated to the controller.
    The state of these joints can be specified via ROS parameters, and remains
    constant over time.
  * Add test suite
  * Migrate to package format2
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 12 Feb 2016 00:00:00 -0000

ros-indigo-joint-state-controller (0.9.2-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-indigo-joint-state-controller (0.9.1-0trusty) trusty; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-indigo-joint-state-controller (0.9.0-0trusty) trusty; urgency=high

  * Buildsystem fixes
  * Contributors: Dave Coleman

 -- Wim Meeussen <wim@hidof.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-indigo-joint-state-controller (0.8.1-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Thu, 10 Jul 2014 23:00:00 -0000

ros-indigo-joint-state-controller (0.8.0-0trusty) trusty; urgency=high

  * Add missing controller resources to install target
  * Remove rosbuild artifacts. Fix #90 <https://github.com/ros-controls/ros_controllers/issues/90>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Wim Meeussen <wim@hidof.com>  Sun, 11 May 2014 23:00:00 -0000

ros-indigo-joint-state-controller (0.7.2-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-indigo-joint-state-controller (0.7.1-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-indigo-joint-state-controller (0.7.0-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-indigo-joint-state-controller (0.6.0-0trusty) trusty; urgency=high

  * Link shared libraries to catkin libraries
    GCC is quite lenient with missing symbols on shared libraries and
    doesn't event output any warning about it.
    When building with other compilers, missing symbols result in build
    errors.
  * Install default config files
  * Contributors: Paul Mathieu

 -- Wim Meeussen <wim@hidof.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-indigo-joint-state-controller (0.5.4-0trusty) trusty; urgency=high

  * Silence cppcheck warning on unit'ed variables.

 -- Wim Meeussen <wim@hidof.com>  Sun, 29 Sep 2013 23:00:00 -0000

ros-indigo-joint-state-controller (0.5.3-0trusty) trusty; urgency=high

  * Removed last manifest.xml
  * Added ignored manifest.xml files, added rule to .gitignore

 -- Wim Meeussen <wim@hidof.com>  Tue, 03 Sep 2013 23:00:00 -0000

ros-indigo-joint-state-controller (0.5.2-0trusty) trusty; urgency=high

  * Added joint limit enforcement for controller set point command

 -- Wim Meeussen <wim@hidof.com>  Mon, 05 Aug 2013 23:00:00 -0000

ros-indigo-joint-state-controller (0.5.1-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Thu, 18 Jul 2013 23:00:00 -0000

ros-indigo-joint-state-controller (0.5.0-0trusty) trusty; urgency=high

  * Merged
  * Add meta tags to packages not specifying them.
    - Website, bugtracker, repository.
  * Restore "Fixed PLUGINLIB_DECLARE_CLASS depreacated errors""
    This reverts commit 0862ad93696b0d736b565cd65ea36690dde0eaa7.
  * Adding install targets for plugin xml files
  * Revert "Fixed PLUGINLIB_DECLARE_CLASS depreacated errors"
    This reverts commit 2314b8b434e35dc9c1c298140118a004e00febd8.
  * Fix package URL in package.xml

 -- Wim Meeussen <wim@hidof.com>  Mon, 15 Jul 2013 23:00:00 -0000

ros-indigo-joint-state-controller (0.4.0-0trusty) trusty; urgency=high

  * Version 0.4.0
  * Removed PR2 references and renamed github repo in docs
  * Fix package URL in package.xml
  * Fixed PLUGINLIB_DECLARE_CLASS depreacated errors
  * Propagate API changes in hardware_interface.
  * adding install targets
  * adding switches for hybrid buildsystem
  * adding back more manifests and makefiles
  * Fix package URL.
  * bumping version
  * adding package.xml files
  * Catkinizing. Building, but could still be cleaned up
  * use new root nodehandle to publish joint states in the namespace of the controller manager. This fixes a but when pushing the controller manager in a namespace, and keeps the same behavior when the controller manager is not in a namespace
  * Add .gitignore files on a per-package basis.
  * Add missing include guard.
  * Change tab indentation for spaces.
  * port to new api with time and duration
  * moved package with joint state controller

 -- Wim Meeussen <wim@hidof.com>  Tue, 25 Jun 2013 23:00:00 -0000
